slepc-3.10.1 2018-10-23
Report Typos and Errors

# DSGetDimensions

Returns the current dimensions.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetDimensions(DS ds,PetscInt *n,PetscInt *m,PetscInt *l,PetscInt *k,PetscInt *t)

Not Collective

### Input Parameter

| ds | - the direct solver context

### Output Parameter

| n | - the current size
| m | - the current column size (only for DSSVD)
| l | - number of locked (inactive) leading columns
| k | - intermediate dimension (e.g., position of arrow)
| t | - truncated length

### Note

The t parameter makes sense only if DSTruncate() has been called. Otherwise its value equals n.

### See Also

DSSetDimensions(), DSTruncate()

Location: src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages